Gui.EditorFrame
Keywords: uk.ac.ic.doc.automed.editor.Gui.EditorFrame,Gui.EditorFrame class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.editor
Class Gui.EditorFrame

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JInternalFrame
                              |
                              +--uk.ac.ic.doc.automed.editor.Gui.EditorFrame

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, NetworkChangeListener, NetworksListener, javax.swing.RootPaneContainer, SchemaChangeListener, SchemasListener, java.io.Serializable, javax.swing.WindowConstants

Enclosing class:
  Gui

public class Gui.EditorFrame
extends javax.swing.JInternalFrame
implements NetworksListener, NetworkChangeListener, SchemasListener, SchemaChangeListener

A frame inside the main window to represent either All Networks, the contents of a Network (ie a connect set of Schemas), or the contents of a Schema

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.JInternalFrame
`closable, CONTENT_PANE_PROPERTY, desktopIcon, FRAME_ICON_PROPERTY, frameIcon, GLASS_PANE_PROPERTY, iconable, IS_CLOSED_PROPERTY, IS_ICON_PROPERTY, IS_MAXIMUM_PROPERTY, IS_SELECTED_PROPERTY, isClosed, isIcon, isMaximum, isSelected, LAYERED_PANE_PROPERTY, maximizable, MENU_BAR_PROPERTY, resizable, ROOT_PANE_PROPERTY, rootPane, rootPaneCheckingEnabled, title, TITLE_PROPERTY`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Method Summary
`void` | `edgeAdded(NetworkChangeEvent nce)`
`void` | `edgeRemoved(NetworkChangeEvent nce)`
`protected void` | `finalize()`
`EditorPanel` | `getEditorPanel()`
`javax.swing.JComponent` | `getVertexComponent(Positionable p)` Get a JComponent that is the visualisation of a class that implements the `Positionable` interface
`void` | `networkAdded(NetworkChangeEvent nce)`
`void` | `networkMerged(NetworkChangeEvent nce)`
`void` | `networkRemoved(NetworkChangeEvent nce)`
`void` | `networkSplit(NetworkChangeEvent nce)`
`void` | `nodeAdded(NetworkChangeEvent nce)`
`void` | `nodeRemoved(NetworkChangeEvent nce)`
`void` | `objectAdded(SchemaChangeEvent sce)`
`void` | `objectChanged(SchemaChangeEvent sce)`
`void` | `objectRemoved(SchemaChangeEvent sce)`
`void` | `schemaAdded(SchemaChangeEvent sce)`
`void` | `schemaRemoved(SchemaChangeEvent sce)`
`java.lang.String` | `toString()`
`void` | `transformationAdded(SchemaChangeEvent sce)`
`void` | `transformationRemoved(SchemaChangeEvent sce)`

Methods inherited from class javax.swing.JInternalFrame
`addImpl, addInternalFrameListener, createRootPane, dispose, doDefaultCloseAction, fireInternalFrameEvent, getAccessibleContext, getContentPane, getDefaultCloseOperation, getDesktopIcon, getDesktopPane, getFocusCycleRootAncestor, getFocusOwner, getFrameIcon, getGlassPane, getInternalFrameListeners, getJMenuBar, getLayer, getLayeredPane, getMenuBar, getMostRecentFocusOwner, getNormalBounds, getRootPane, getTitle, getUI, getUIClassID, getWarningString, hide, isClosable, isClosed, isFocusCycleRoot, isIcon, isIconifiable, isMaximizable, isMaximum, isResizable, isRootPaneCheckingEnabled, isSelected, moveToBack, moveToFront, pack, paintComponent, paramString, remove, removeInternalFrameListener, reshape, restoreSubcomponentFocus, setClosable, setClosed, setContentPane, setDefaultCloseOperation, setDesktopIcon, setFocusCycleRoot, setFrameIcon, setGlassPane, setIcon, setIconifiable, setJMenuBar, setLayer, setLayer, setLayeredPane, setLayout, setMaximizable, setMaximum, setMenuBar, setNormalBounds, setResizable, setRootPane, setRootPaneCheckingEnabled, setSelected, setTitle, setUI, show, toBack, toFront, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, removeAll, removeContainerListener, setFocusTraversalKeys, setFocusTraversalPolicy, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, size, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.awt.Component`

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`
    `java.lang.Throwable`

### getEditorPanel

    public EditorPanel getEditorPanel()

### nodeAdded

    public void nodeAdded(NetworkChangeEvent nce)

  Specified by:
    `nodeAdded` in interface `NetworkChangeListener`

### nodeRemoved

    public void nodeRemoved(NetworkChangeEvent nce)

  Specified by:
    `nodeRemoved` in interface `NetworkChangeListener`

### edgeAdded

    public void edgeAdded(NetworkChangeEvent nce)

  Specified by:
    `edgeAdded` in interface `NetworkChangeListener`

### edgeRemoved

    public void edgeRemoved(NetworkChangeEvent nce)

  Specified by:
    `edgeRemoved` in interface `NetworkChangeListener`

### networkRemoved

    public void networkRemoved(NetworkChangeEvent nce)

  Specified by:
    `networkRemoved` in interface `NetworksListener`

### networkAdded

    public void networkAdded(NetworkChangeEvent nce)

  Specified by:
    `networkAdded` in interface `NetworksListener`

### networkMerged

    public void networkMerged(NetworkChangeEvent nce)

  Specified by:
    `networkMerged` in interface `NetworkChangeListener`

### networkSplit

    public void networkSplit(NetworkChangeEvent nce)

  Specified by:
    `networkSplit` in interface `NetworkChangeListener`

### schemaAdded

    public void schemaAdded(SchemaChangeEvent sce)

  Specified by:
    `schemaAdded` in interface `SchemasListener`

### schemaRemoved

    public void schemaRemoved(SchemaChangeEvent sce)

  Specified by:
    `schemaRemoved` in interface `SchemasListener`

### objectAdded

    public void objectAdded(SchemaChangeEvent sce)

  Specified by:
    `objectAdded` in interface `SchemaChangeListener`

### objectChanged

    public void objectChanged(SchemaChangeEvent sce)

  Specified by:
    `objectChanged` in interface `SchemaChangeListener`

### objectRemoved

    public void objectRemoved(SchemaChangeEvent sce)

  Specified by:
    `objectRemoved` in interface `SchemaChangeListener`

### transformationAdded

    public void transformationAdded(SchemaChangeEvent sce)

  Specified by:
    `transformationAdded` in interface `SchemaChangeListener`

### transformationRemoved

    public void transformationRemoved(SchemaChangeEvent sce)

  Specified by:
    `transformationRemoved` in interface `SchemaChangeListener`

### getVertexComponent

    public javax.swing.JComponent getVertexComponent(Positionable p)

  Get a JComponent that is the visualisation of a class that implements the `Positionable` interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD